Package net.shibboleth.idp.attribute.resolver.spring.dc.impl

# Class PairwiseIdDataConnectorParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser
net.shibboleth.idp.attribute.resolver.spring.BaseResolverPluginParser
net.shibboleth.idp.attribute.resolver.spring.dc.AbstractDataConnectorParser
net.shibboleth.idp.attribute.resolver.spring.dc.impl.PairwiseIdDataConnectorParser

All Implemented Interfaces:
  `BeanDefinitionParser`

Direct Known Subclasses:
  `ComputedIdDataConnectorParser`

public class PairwiseIdDataConnectorParser extends AbstractDataConnectorParser
Spring bean definition parser for configuring `PairwiseIdDataConnector` variants.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.
`static final QName`
`TYPE_NAME`
Schema type - resolver.

### Fields inherited from class net.shibboleth.idp.attribute.resolver.spring.dc.AbstractDataConnectorParser

`ATTR_EXPORT_NAMES, ATTR_FAIL_FAST, ATTR_NORETRYDELAY, ELEMENT_NAME, FAIL_FAST_DEFAULT, FAILOVER_DATA_CONNECTOR_ELEMENT_NAME`

### Fields inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`CUSTOM_PARSER_PROPERTIES_LOCATION`

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`PairwiseIdDataConnectorParser()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doParse(Element config, ParserContext parserContext, BeanDefinitionBuilder builder)`
`protected void`
`doParse(Element config, ParserContext parserContext, BeanDefinitionBuilder builder, String generatedIdDefaultName)`
Parse any common material for `PairwiseIdDataConnector`.
`protected Class<PairwiseIdDataConnector>`
`getBeanClass(Element element)`
`protected String`
`getLogPrefix()`
Return a string which is to be prepended to all log messages.

### Methods inherited from class net.shibboleth.idp.attribute.resolver.spring.BaseResolverPluginParser

`failOnDependencies, getActivationCondition, getDefinitionId, warnOnDependencies`

### Methods inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`getCustomProperty, registerBeanDefinition`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TYPE_NAME

@Nonnull public static final QName TYPE_NAME
Schema type - resolver.

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### PairwiseIdDataConnectorParser

public PairwiseIdDataConnectorParser()

## Method Details

### getBeanClass

@Nullable protected Class<PairwiseIdDataConnector> getBeanClass(@Nonnull Element element)

Overrides:
  `getBeanClass` in class `AbstractSingleBeanDefinitionParser`

### doParse

protected void doParse(@Nonnull Element config, @Nonnull ParserContext parserContext, @Nonnull BeanDefinitionBuilder builder)

Overrides:
  `doParse` in class `AbstractDataConnectorParser`

### doParse

protected void doParse(@Nonnull Element config, @Nonnull ParserContext parserContext, @Nonnull BeanDefinitionBuilder builder, @Nullable String generatedIdDefaultName)
Parse any common material for `PairwiseIdDataConnector`.

Parameters:
  `config` - the DOM element under consideration.
  `parserContext` - Spring's context.
  `builder` - Spring's bean builder.
  `generatedIdDefaultName` - the name to give the generated Attribute if none was provided.

### getLogPrefix

@Nonnull @NotEmpty protected String getLogPrefix()
Return a string which is to be prepended to all log messages.

Overrides:
  `getLogPrefix` in class `AbstractDataConnectorParser`
Returns:
  "Attribute Definition: '<definitionID>' :"